POST
/api/public/v1/legal-entities

Create a legal entity

Create a new legal entity in your organization.

Request Body

PropertyTypeDescription
typestringEntity type.
namestringLegal name.
statusstringEntity status.
countrystringCountry.
emailstringContact email.
phonestringContact phone.
mccstringMerchant category code.
productDescriptionstringProduct description.
dbastringDBA name.
websitestringWebsite URL.
autoCompliancebooleanEnable auto-compliance.
POSTExample request
curl
curl -X POST "https://www.pxb.app/api/public/v1/legal-entities" \
  -H "X-Organization-Id: your_org_id" \
  -H "X-API-Key: your_api_key" \
  -H "Content-Type: application/json" \
  -d '{
    "type": "LLC",
    "name": "Acme Holdings LLC",
    "status": "FORMED",
    "country": "US",
    "email": "compliance@acme.com",
    "phone": "+15551234567",
    "mcc": "5734",
    "productDescription": "Software services"
  }'
200Example response
json
{
  "message": "Legal entity created successfully!",
  "content": {
    "legalEntity": {
      "id": "le_abc"
    }
  }
}